> For the complete documentation index, see [llms.txt](https://statalpha.gitbook.io/statalpha-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://statalpha.gitbook.io/statalpha-docs/api-reference/bos.md).

# BOS

Break of Structure statistics

## Get Bos Doc

> Gibt die Dokumentation der BOS-Felder zurück.

```json
{"openapi":"3.1.0","info":{"title":"StatAlpha API","version":"0.4.0"},"tags":[{"name":"BOS","description":"Break of Structure statistics"}],"paths":{"/stats/bos/doc":{"get":{"tags":["BOS"],"summary":"Get Bos Doc","description":"Gibt die Dokumentation der BOS-Felder zurück.","operationId":"get_bos_doc_stats_bos_doc_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}}}}
```

## GET /stats/bos

> Get Bos Stats

```json
{"openapi":"3.1.0","info":{"title":"StatAlpha API","version":"0.4.0"},"tags":[{"name":"BOS","description":"Break of Structure statistics"}],"paths":{"/stats/bos":{"get":{"tags":["BOS"],"summary":"Get Bos Stats","operationId":"get_bos_stats_stats_bos_get","parameters":[{"name":"symbol","in":"query","required":true,"schema":{"type":"string","title":"Symbol"}},{"name":"start_date","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Start Date"}},{"name":"end_date","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"End Date"}},{"name":"bos_minutes","in":"query","required":false,"schema":{"type":"integer","default":5,"title":"Bos Minutes"}},{"name":"pivot_bars","in":"query","required":false,"schema":{"type":"integer","default":2,"title":"Pivot Bars"}},{"name":"use_close","in":"query","required":false,"schema":{"type":"boolean","default":true,"title":"Use Close"}},{"name":"include_raw_data","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Raw Data"}},{"name":"start_time","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Format: HH:MM","default":"13:30","title":"Start Time"},"description":"Format: HH:MM"},{"name":"end_time","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Format: HH:MM","default":"20:00","title":"End Time"},"description":"Format: HH:MM"},{"name":"time_window","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Predefined time window (e.g., '1M', '3M', '6M', '12M', '24M', '5Y')","default":"12M","title":"Time Window"},"description":"Predefined time window (e.g., '1M', '3M', '6M', '12M', '24M', '5Y')"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## Get Raw Bos Data

> Endpunkt zur Abfrage von Rohdaten für BOS-Ereignisse

```json
{"openapi":"3.1.0","info":{"title":"StatAlpha API","version":"0.4.0"},"tags":[{"name":"BOS","description":"Break of Structure statistics"}],"paths":{"/stats/bos/raw":{"get":{"tags":["BOS"],"summary":"Get Raw Bos Data","description":"Endpunkt zur Abfrage von Rohdaten für BOS-Ereignisse","operationId":"get_raw_bos_data_stats_bos_raw_get","parameters":[{"name":"symbol","in":"query","required":true,"schema":{"type":"string","title":"Symbol"}},{"name":"start_date","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Start Date"}},{"name":"end_date","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"End Date"}},{"name":"bos_minutes","in":"query","required":false,"schema":{"type":"integer","default":5,"title":"Bos Minutes"}},{"name":"pivot_bars","in":"query","required":false,"schema":{"type":"integer","default":2,"title":"Pivot Bars"}},{"name":"use_close","in":"query","required":false,"schema":{"type":"boolean","default":true,"title":"Use Close"}},{"name":"start_time","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Format: HH:MM","default":"13:30","title":"Start Time"},"description":"Format: HH:MM"},{"name":"end_time","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Format: HH:MM","default":"20:00","title":"End Time"},"description":"Format: HH:MM"},{"name":"time_window","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Predefined time window (e.g., '1M', '3M', '6M', '12M', '24M', '5Y')","default":"12M","title":"Time Window"},"description":"Predefined time window (e.g., '1M', '3M', '6M', '12M', '24M', '5Y')"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://statalpha.gitbook.io/statalpha-docs/api-reference/bos.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
